<?php
// Copyright 1999-2020. Plesk International GmbH. All rights reserved.

namespace PleskExt\RestApi\v2\Entity;

use JMS\Serializer\Annotation\Type;
use Symfony\Component\Validator\Constraints as Assert;

class Database
{
    /**
     * @Type("integer")
     * @var int
     */
    public $id;
    /**
     * @Assert\NotBlank()
     * @Assert\Type("string")
     * @Type("string")
     * @var string
     */
    public $name;
    /**
     * @Assert\Choice({"mssql", "mysql", "postgresql"})
     * @Type("string")
     * @var string
     */
    public $type;
    /**
     * @Assert\NotBlank()
     * @Type("integer")
     * @var int
     */
    public $parent_domain;
    /**
     * @Type("integer")
     * @Assert\NotBlank()
     * @var int
     */
    public $server_id;
    /**
     * @Type("integer")
     * @var int|null
     */
    public $default_user_id;
}
