<?php
// Copyright 1999-2020. Plesk International GmbH. All rights reserved.

namespace PleskExt\RestApi\v2\Entity;

use JMS\Serializer\Annotation\Type;
use Symfony\Component\Validator\Constraints as Assert;

class FtpUser
{
    /**
     * The user ID
     *
     * @Type("integer")
     * @var integer
     */
    public $id;
    /**
     * User name
     *
     * @Assert\Type("string")
     * @Type("string")
     * @var string
     */
    public $name;
    /**
     * Home subdirectory
     *
     * @Type("string")
     * @var string
     */
    public $home;
    /**
     * Quota
     *
     * @Assert\Type("integer")
     * @Type("integer")
     * @var integer
     */
    public $quota;
    /**
     * Permissions
     *
     * @Assert\Type("array")
     * @Type("array<string, string>")
     * @var array
     */
    public $permissions;
    /**
     * Webspace ID
     *
     * @Type("integer")
     * @var integer
     */
    public $parent_domain;
}
