<?php
// Copyright 1999-2020. Plesk International GmbH. All rights reserved.

namespace PleskExt\RestApi\v2\Entity;

use JMS\Serializer\Annotation\Type;
use Symfony\Component\Validator\Constraints as Assert;
use PleskExt\RestApi\v2\Constraints as ApiAssert;

class FtpUserUpdateRequest
{
    /**
     * User name
     *
     * @Assert\Type("string")
     * @ApiAssert\UniqueFtpLogin()
     * @Type("string")
     * @var string
     */
    public $name;
    /**
     * Password
     *
     * @ApiAssert\PasswordStrength()
     * @Assert\Type("string")
     * @Type("string")
     * @var string
     */
    public $password;
    /**
     * Home subdirectory
     *
     * @Type("string")
     * @var string|null
     */
    public $home;
    /**
     * Quota
     *
     * @Assert\Type("integer")
     * @Type("integer")
     * @var integer|null
     */
    public $quota;
    /**
     * Permissions
     *
     * @Assert\Type("array")
     * @Type("array<string, boolean>")
     * @var array
     */
    public $permissions;
}
