<?php
// Copyright 1999-2018. Plesk International GmbH. All rights reserved.
namespace PleskExt\RestApi\v2\Entity;

use JMS\Serializer\Annotation\Type;
use Symfony\Component\Validator\Constraints as Assert;

/**
 */
class OwnerClientReference
{
    /**
     * Client ID
     *
     * @Assert\Type("integer")
     * @Type("integer")
     * @var int
     */
    public $id;
    /**
     * Client login
     *
     * @Assert\Type("string")
     * @Type("string")
     * @var string
     */
    public $login;
    /**
     * Client GUID
     *
     * @Assert\Uuid()
     * @Type("string")
     * @var string
     */
    public $guid;
    /**
     * A GUID of a subscription owner received from the Plesk components
     *
     * @Assert\Type("string")
     * @Type("string")
     * @var string
     */
    public $external_id;
}
