<?php
// Copyright 1999-2018. Plesk International GmbH. All rights reserved.
namespace PleskExt\RestApi\v2\Entity;

use JMS\Serializer\Annotation\Type;
use Symfony\Component\Validator\Constraints as Assert;

/**
 */
class PlanReference
{
    /**
     * Plan ID
     *
     * @Assert\Type("integer")
     * @Type("integer")
     * @var int
     */
    public $id;
    /**
     * Plan name
     *
     * @Assert\Type("string")
     * @Type("string")
     * @var string
     */
    public $name;
    /**
     * Plan GUID
     *
     * @Assert\Uuid()
     * @Type("string")
     * @var string
     */
    public $guid;
    /**
     * External ID
     *
     * @Assert\Type("string")
     * @Type("string")
     * @var string
     */
    public $external_id;
}
