<?php
// Copyright 1999-2018. Plesk International GmbH. All rights reserved.
namespace PleskExt\RestApi\v2\Entity;

use JMS\Serializer\Annotation\Type;
use Symfony\Component\Validator\Constraints as Assert;

/**
 * Secret key parameters
 */
class SecretKeyRequest
{
    /**
     * The IP address that will be linked to the key. If this node or 'ips' node is not
     * specified, the IP address of the request sender will be used.
     *
     * @Assert\Ip(version="all")
     * @Type("string")
     * @var string
     */
    public $ip;
    /**
     * Array of IP addresses that will be linked to the key. If this node or 'ip' node is not
     * specified, the IP address of the request sender will be used.
     *
     * @Assert\Type("array")
     * @Type("array")
     * @var array
     */
    public $ips;
    /**
     * The login name of an existing customer or a reseller that will have this secret key. The customer&#39;s or reseller&#39;s account should be active. If this node is not specified, the administrator&#39;s login will be used. Data type: string.
     *
     * @Assert\Type("string")
     * @Type("string")
     * @var string
     */
    public $login;
    /**
     * Additional information about the key.
     *
     * @Assert\Type("string")
     * @Type("string")
     * @var string
     */
    public $description;
}
