<?php
// Copyright 1999-2018. Plesk International GmbH. All rights reserved.
namespace PleskExt\RestApi\v2\Entity;

use JMS\Serializer\Annotation\Type;
use Symfony\Component\Validator\Constraints as Assert;

/**
 * Initial server setup parameters
 */
class ServerInit
{
    /**
     * The full host name.
     *
     * @Type("string")
     * @var string
     */
    public $server_name;
    /**
     * Admin info
     *
     * @Assert\NotBlank()
     * @Assert\Type("PleskExt\RestApi\v2\Entity\Admin")
     * @Type("PleskExt\RestApi\v2\Entity\Admin")
     * @var Admin
     */
    public $admin;
    /**
     * The new Plesk Administrator&#39;s password that will replace the default one.
     *
     * @Assert\NotBlank()
     * @Assert\Type("string")
     * @Type("string")
     * @var string
     */
    public $password;
}
