<?php
// Copyright 1999-2018. Plesk International GmbH. All rights reserved.
namespace PleskExt\RestApi\v2\Entity;

use JMS\Serializer\Annotation\Type;

class ServerIp
{
    /**
     * The IP address in Plesk database (IP v4).
     *
     * @Type("string")
     * @var string
     */
    public $ipv4;
    /**
     * The IP address in Plesk database (IP v6).
     *
     * @Type("string")
     * @var string
     */
    public $ipv6;
    /**
     * The netmask of the network.
     *
     * @Type("string")
     * @var string
     */
    public $netmask;
    /**
     * The server network interface name.
     *
     * @Type("string")
     * @var string
     */
    public $interface;
    /**
     * The type of IP address. Allowed values: shared | exclusive.
     *
     * @Type("string")
     * @var string
     */
    public $type;
}
