<?php
// Copyright 1999-2018. Plesk International GmbH. All rights reserved.
namespace PleskExt\RestApi\v2\Entity;

use JMS\Serializer\Annotation\Type;
use Symfony\Component\Validator\Constraints as Assert;

/**
 * License parameters
 */
class ServerLicense
{
    /**
     * License key data.
     *
     * @Assert\Type("string")
     * @Type("string")
     * @var string
     */
    public $key;
    /**
     * Activation code.
     *
     * @Assert\Type("string")
     * @Type("string")
     * @var string
     */
    public $code;
    /**
     * It specifies if the key that will be installed is an additional key.
     *
     * @Assert\Type("string")
     * @Type("bool")
     * @var bool
     */
    public $additional;
}
