<?php
// Copyright 1999-2018. Plesk International GmbH. All rights reserved.
namespace PleskExt\RestApi\v2\Handler;

use PleskExt\RestApi\v2\Annotation\Consumer;
use PleskExt\RestApi\v2\Annotation\Producer;
use PleskExt\RestApi\v2\Helper\InvokableHandler;
use PleskExt\RestApi\v2\Mapper\Clients as ClientsMapper;
use PleskExt\RestApi\v2\Mapper\Response as ResponseMapper;
use PleskExt\RestApi\v2\Entity\Client as ClientEntity;
use PleskExt\RestApi\v2\SDK;
use Slim\Http\Request;
use Slim\Http\Response;

class Clients extends InvokableHandler
{
    /**
     * @Producer(mapper=ClientsMapper::class)
     */
    protected function get(Request $request, Response $response)
    {
        $clients = \pm_Client::getAll();

        return $response->write($this->produce($clients));
    }

    /**
     * @Consumer(type=ClientEntity::class)
     * @Producer(mapper=ResponseMapper::class)
     */
    protected function post(Request $request, Response $response)
    {
        $client = SDK\pm_Client::create($this->consume());

        return $response
            ->write($this->produce($client))
            ->withStatus(201);
    }
}
