<?php
// Copyright 1999-2018. Plesk International GmbH. All rights reserved.
namespace PleskExt\RestApi\v2\Handler;

use PleskExt\RestApi\v2\Annotation\Producer;
use PleskExt\RestApi\v2\Helper\InvokableHandler;
use PleskExt\RestApi\v2\Mapper\Domains as DomainsMapper;
use PleskExt\RestApi\v2\SDK;
use Slim\Http\Request;
use Slim\Http\Response;

class ClientsIdDomains extends InvokableHandler
{
    /**
     * @Producer(mapper=DomainsMapper::class)
     */
    protected function get(Request $request, Response $response)
    {
        $client = SDK\pm_Client::getByClientId($request->getAttribute('id'));
        $domains = \pm_Domain::getDomainsByClient($client);

        return $response->write($this->produce($domains));
    }
}
