<?php
// Copyright 1999-2020. Plesk International GmbH. All rights reserved.

namespace PleskExt\RestApi\v2\Handler;

use PleskExt\RestApi\v2\Annotation\Producer;
use PleskExt\RestApi\v2\Helper\InvokableHandler;
use PleskExt\RestApi\v2\Mapper\DatabaseServers as DatabaseServersMapper;
use PleskExt\RestApi\v2\SDK;
use Slim\Http\Request;
use Slim\Http\Response;

class DatabaseServers extends InvokableHandler
{
    /**
     * @Producer(mapper=DatabaseServersMapper::class)
     */
    protected function get(Request $request, Response $response)
    {
        if (null !== $id = $request->getQueryParam('id')) {
            return $response->write($this->produce([SDK\pm_DatabaseServer::getById($id)]));
        } else {
            return $response->write($this->produce(SDK\pm_DatabaseServer::getAll()));
        }
    }
}
