<?php
// Copyright 1999-2018. Plesk International GmbH. All rights reserved.
namespace PleskExt\RestApi\v2\Handler;

use PleskExt\RestApi\v2\Annotation\Producer;
use PleskExt\RestApi\v2\Helper\InvokableHandler;
use PleskExt\RestApi\v2\Mapper\Client as ClientMapper;
use Slim\Http\Request;
use Slim\Http\Response;

class DomainsIdClient extends InvokableHandler
{
    /**
     * @Producer(mapper=ClientMapper::class)
     */
    protected function get(Request $request, Response $response)
    {
        $domain = \pm_Domain::getByDomainId($request->getAttribute('id'));

        return $response->write($this->produce($domain->getClient()));
    }
}
