<?php
// Copyright 1999-2018. Plesk International GmbH. All rights reserved.
namespace PleskExt\RestApi\v2\Handler;

use PleskExt\RestApi\v2\Annotation\Producer;
use PleskExt\RestApi\v2\Helper\InvokableHandler;
use PleskExt\RestApi\v2\SDK;
use PleskExt\RestApi\v2\Entity\ServerMeta;
use Slim\Http\Request;
use Slim\Http\Response;

class Server extends InvokableHandler
{
    protected function get(Request $request, Response $response)
    {
        $entity = new ServerMeta;

        $entity->platform = SDK\pm_ProductInfo::getPlatform();
        $entity->hostname = SDK\pm_Server::getHostname();
        $entity->guid = SDK\pm_Server::getGuid();

        $entity->panel_version = SDK\pm_ProductInfo::getVersion();
        $entity->panel_revision = SDK\pm_ProductInfo::getRevision();
        $entity->panel_build_date = date('Y-m-d', SDK\pm_ProductInfo::getBuildDate());
        $entity->panel_update_version = SDK\pm_ProductInfo::getLastInstalledUpdate();

        $extension = \pm_Extension::getById('rest-api');
        $entity->extension_version = $extension->getVersion();
        $entity->extension_release = $extension->getRelease();

        return $response->write($this->serialize($entity));
    }
}
