<?php
// Copyright 1999-2018. Plesk International GmbH. All rights reserved.
namespace PleskExt\RestApi\v2\Handler;

use PleskExt\RestApi\v2\Annotation\Consumer;
use PleskExt\RestApi\v2\Helper\InvokableHandler;
use PleskExt\RestApi\v2\Entity\ServerLicense as ServerLicenseEntity;
use PleskExt\RestApi\v2\Entity\SuccessResponse;
use PleskExt\RestApi\v2\SDK;
use Slim\Http\Request;
use Slim\Http\Response;

class ServerLicense extends InvokableHandler
{
    /**
     * @Consumer(type=ServerLicenseEntity::class)
     */
    protected function post(Request $request, Response $response)
    {
        /** @var ServerLicenseEntity $serverLicense */
        $serverLicense = $this->consume();

        SDK\pm_License::install($serverLicense);

        return $response->write(
            $this->produce(
                new SuccessResponse()
            )
        );
    }
}
